# Definitional proc to organize widgets for parameters.
proc init_gui { IPINST } {
  ipgui::add_param $IPINST -name "Component_Name"
  #Adding Page
  set Page_0 [ipgui::add_page $IPINST -name "Page 0"]
  ipgui::add_param $IPINST -name "C_TDATA_WIDTH" -parent ${Page_0} -widget comboBox
  ipgui::add_param $IPINST -name "C_X_CNT" -parent ${Page_0}
  ipgui::add_param $IPINST -name "C_Y_CNT" -parent ${Page_0}
  ipgui::add_param $IPINST -name "C_FRAME_CNT" -parent ${Page_0}
  ipgui::add_param $IPINST -name "C_PASS_THROUGH" -parent ${Page_0} -widget comboBox

  ipgui::add_param $IPINST -name "C_S00_AXI_HIGHADDR"
  ipgui::add_param $IPINST -name "C_S00_AXI_BASEADDR"
  ipgui::add_param $IPINST -name "C_S00_AXI_ADDR_WIDTH"
  ipgui::add_param $IPINST -name "C_S00_AXI_DATA_WIDTH" -widget comboBox

}

proc update_PARAM_VALUE.C_FRAME_CNT { PARAM_VALUE.C_FRAME_CNT } {
	# Procedure called to update C_FRAME_CNT when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_FRAME_CNT { PARAM_VALUE.C_FRAME_CNT } {
	# Procedure called to validate C_FRAME_CNT
	return true
}

proc update_PARAM_VALUE.C_PASS_THROUGH { PARAM_VALUE.C_PASS_THROUGH } {
	# Procedure called to update C_PASS_THROUGH when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_PASS_THROUGH { PARAM_VALUE.C_PASS_THROUGH } {
	# Procedure called to validate C_PASS_THROUGH
	return true
}

proc update_PARAM_VALUE.C_TDATA_WIDTH { PARAM_VALUE.C_TDATA_WIDTH } {
	# Procedure called to update C_TDATA_WIDTH when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_TDATA_WIDTH { PARAM_VALUE.C_TDATA_WIDTH } {
	# Procedure called to validate C_TDATA_WIDTH
	return true
}

proc update_PARAM_VALUE.C_X_CNT { PARAM_VALUE.C_X_CNT } {
	# Procedure called to update C_X_CNT when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_X_CNT { PARAM_VALUE.C_X_CNT } {
	# Procedure called to validate C_X_CNT
	return true
}

proc update_PARAM_VALUE.C_Y_CNT { PARAM_VALUE.C_Y_CNT } {
	# Procedure called to update C_Y_CNT when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_Y_CNT { PARAM_VALUE.C_Y_CNT } {
	# Procedure called to validate C_Y_CNT
	return true
}

proc update_PARAM_VALUE.C_S00_AXI_DATA_WIDTH { PARAM_VALUE.C_S00_AXI_DATA_WIDTH } {
	# Procedure called to update C_S00_AXI_DATA_WIDTH when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_S00_AXI_DATA_WIDTH { PARAM_VALUE.C_S00_AXI_DATA_WIDTH } {
	# Procedure called to validate C_S00_AXI_DATA_WIDTH
	return true
}

proc update_PARAM_VALUE.C_S00_AXI_ADDR_WIDTH { PARAM_VALUE.C_S00_AXI_ADDR_WIDTH } {
	# Procedure called to update C_S00_AXI_ADDR_WIDTH when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_S00_AXI_ADDR_WIDTH { PARAM_VALUE.C_S00_AXI_ADDR_WIDTH } {
	# Procedure called to validate C_S00_AXI_ADDR_WIDTH
	return true
}

proc update_PARAM_VALUE.C_S00_AXI_BASEADDR { PARAM_VALUE.C_S00_AXI_BASEADDR } {
	# Procedure called to update C_S00_AXI_BASEADDR when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_S00_AXI_BASEADDR { PARAM_VALUE.C_S00_AXI_BASEADDR } {
	# Procedure called to validate C_S00_AXI_BASEADDR
	return true
}

proc update_PARAM_VALUE.C_S00_AXI_HIGHADDR { PARAM_VALUE.C_S00_AXI_HIGHADDR } {
	# Procedure called to update C_S00_AXI_HIGHADDR when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_S00_AXI_HIGHADDR { PARAM_VALUE.C_S00_AXI_HIGHADDR } {
	# Procedure called to validate C_S00_AXI_HIGHADDR
	return true
}


proc update_MODELPARAM_VALUE.C_S00_AXI_DATA_WIDTH { MODELPARAM_VALUE.C_S00_AXI_DATA_WIDTH PARAM_VALUE.C_S00_AXI_DATA_WIDTH } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_S00_AXI_DATA_WIDTH}] ${MODELPARAM_VALUE.C_S00_AXI_DATA_WIDTH}
}

proc update_MODELPARAM_VALUE.C_S00_AXI_ADDR_WIDTH { MODELPARAM_VALUE.C_S00_AXI_ADDR_WIDTH PARAM_VALUE.C_S00_AXI_ADDR_WIDTH } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_S00_AXI_ADDR_WIDTH}] ${MODELPARAM_VALUE.C_S00_AXI_ADDR_WIDTH}
}

proc update_MODELPARAM_VALUE.C_TDATA_WIDTH { MODELPARAM_VALUE.C_TDATA_WIDTH PARAM_VALUE.C_TDATA_WIDTH } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_TDATA_WIDTH}] ${MODELPARAM_VALUE.C_TDATA_WIDTH}
}

proc update_MODELPARAM_VALUE.C_PASS_THROUGH { MODELPARAM_VALUE.C_PASS_THROUGH PARAM_VALUE.C_PASS_THROUGH } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_PASS_THROUGH}] ${MODELPARAM_VALUE.C_PASS_THROUGH}
}

proc update_MODELPARAM_VALUE.C_X_CNT { MODELPARAM_VALUE.C_X_CNT PARAM_VALUE.C_X_CNT } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_X_CNT}] ${MODELPARAM_VALUE.C_X_CNT}
}

proc update_MODELPARAM_VALUE.C_Y_CNT { MODELPARAM_VALUE.C_Y_CNT PARAM_VALUE.C_Y_CNT } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_Y_CNT}] ${MODELPARAM_VALUE.C_Y_CNT}
}

proc update_MODELPARAM_VALUE.C_FRAME_CNT { MODELPARAM_VALUE.C_FRAME_CNT PARAM_VALUE.C_FRAME_CNT } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_FRAME_CNT}] ${MODELPARAM_VALUE.C_FRAME_CNT}
}

